summaryrefslogtreecommitdiffstats
path: root/source/l/pulseaudio/pulseaudio.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/pulseaudio/pulseaudio.SlackBuild')
-rwxr-xr-xsource/l/pulseaudio/pulseaudio.SlackBuild145
1 files changed, 145 insertions, 0 deletions
diff --git a/source/l/pulseaudio/pulseaudio.SlackBuild b/source/l/pulseaudio/pulseaudio.SlackBuild
new file mode 100755
index 000000000..b9b28d151
--- /dev/null
+++ b/source/l/pulseaudio/pulseaudio.SlackBuild
@@ -0,0 +1,145 @@
+#!/bin/sh
+
+# Slackware build script for pulseaudio
+
+# Copyright 2015 Christoph Willing Brisbane, Australia
+# Copyright 2016 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PKGNAM=pulseaudio
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+zcat $CWD/020_no-parallel-make.diff.gz | patch -p0 --verbose || exit 1
+zcat $CWD/030_posix-completion.diff.gz | patch -p0 --verbose || exit 1
+
+# https://bugzilla.redhat.com/show_bug.cgi?id=1234710
+zcat $CWD/0001-client-conf-Add-allow-autospawn-for-root.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/0002-allow-autospawn-for-root-default.diff.gz | patch -p1 --verbose || exit 1
+
+# Do not log a warning every time root uses PulseAudio:
+zcat $CWD/0003-no-root-warn.diff.gz | patch -p1 --verbose || exit 1
+
+sed -i -e '/@PA_BINARY@/ imkdir -p \$HOME/.config/pulse' src/daemon/start-pulseaudio-x11.in
+echo "X-MATE-Autostart-Phase=Initialization" >> src/daemon/pulseaudio.desktop.in
+
+# If autospawn isn't working, start-pulseaudio-x11 should start it manually:
+zcat $CWD/pulseaudio-autostart.patch.gz | patch -p1 --verbose || exit 1
+
+# Disable "flat volumes" to work more like ALSA's mixer. POLA.
+# Have a google for "flat volumes" for more rationale on us not
+# using the upstream default here.
+sed -i 's/; flat-volumes = yes/flat-volumes = no/g' ./src/daemon/daemon.conf.in
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./bootstrap.sh \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-tcpwrap \
+ --enable-orc \
+ --disable-static \
+ --disable-hal-compat \
+ --disable-bluez4 \
+ --with-system-user=pulse \
+ --with-system-group=pulse \
+ --with-access-group=audio \
+ --with-bash-completion-dir=/usr/share/bash-completion/completions \
+ --build=$ARCH-slackware-linux || exit 1
+
+make $NUMJOBS check || make check || exit 1
+make $NUMJOBS || make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+# Remove .la files:
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/lib*.la
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/pulseaudio/lib*.la
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/pulse-*/modules/*.la
+
+# Move config files to .new:
+for f in $( find $PKG/etc/pulse/ -type f ) ; do mv $f $f.new ; done
+
+# Add an init script for system wide mode. You shouldn't use this, but we'll
+# still let you if you really want.
+mkdir -p $PKG/etc/rc.d
+cp $CWD/rc.pulseaudio $PKG/etc/rc.d/rc.pulseaudio.new
+chmod 644 $PKG/etc/rc.d/rc.pulseaudio.new
+chown root:root $PKG/etc/rc.d/rc.pulseaudio.new
+
+# Compress and link manpages:
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Install documentation:
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ COPYING* *GPL LICENSE README* \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz